## org.eclipse.emf.cdo.eresource
Interface CDOResourceFolder

All Superinterfaces:
  CDOObject, CDOResourceNode, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOResourceFolderImpl

    public interface CDOResourceFolder

extends CDOResourceNode

A representation of the model object 'CDO Resource Folder'.

The following features are supported:

- `Contents`

Since:
  2.0
See Also:
  `EresourcePackage.getCDOResourceFolder()`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`ROOT_NAME, ROOT_PATH`

Method Summary
`org.eclipse.emf.common.util.EList<CDOResourceNode>` `getNodes()` Returns the value of the 'Nodes' containment reference list.

Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`delete, getFolder, getName, getPath, getURI, isRoot, setFolder, setName, setPath`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNodes

    org.eclipse.emf.common.util.EList<CDOResourceNode> getNodes()

  Returns the value of the 'Nodes' containment reference list. The list contents are of type `CDOResourceNode`. It is bidirectional and its opposite is ' `Folder`'.

  If the meaning of the 'Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nodes' containment reference list.
  See Also:
    `EresourcePackage.getCDOResourceFolder_Nodes()`, `CDOResourceNode.getFolder()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.